#!/usr/bin/perl

# Perl Newsletter v2.0.1
# (C) 2010-2014 Alexander Yanitsky
# website: http://janicky.com
# e-mail: janickiy@mail.ru
# skype: janickiy

use DBI;
use URI::Escape;
use Digest::MD5 qw(md5 md5_hex md5_base64);
use locale;
use POSIX;
use File::Basename;
use Encode;
use CGI qw(:standard);
use CGI::Carp 'fatalsToBrowser';
  
use lib "../";
use Constants;
use ConnectDB;
use GetSetting;
  
require 'lib/_functions.pl' or die('Cannot open the file "_functions.pl"!');
require 'language/'.$row_setting->{'language'}.'/language.pl' or die('Cannot open the file "language.pl"!');
require 'lib/_authenticate.pl' or die('Cannot open the file "_authenticate.pl"!');
require 'lib/_delete.pl' or die('Cannot open the file "_delete.pl"!');
  
my %GET;
my @pairs = split(/&/, $ENV{ "QUERY_STRING" });

foreach (@pairs)
{
	my ($name, $value) = split(/=/, $_);
	$GET{$name} = $value;
	$value = uri_unescape($value);
}
  
if($GET{'id_send'} ne '')
{
	my $id_send = int($GET{'id_send'});
	my $query = $dbh->prepare("SELECT * FROM ".Constants::DB_ATTACH." WHERE id_send=$id_send");
	$query->execute() or die("Error executing SQL query!");
	  
	while(my $row = $query->fetchrow_hashref())
	{
		if( -e $row->{'path'}) { unlink($row->{'path'}); }
	}
	 
	$query->finish();
	  
	my $query1 = $dbh->prepare("DELETE FROM ".Constants::DB_SEND." WHERE id_send =$id_send");
	 
	if($query1->execute())
	{
		my $query2 = $dbh->prepare("DELETE FROM ".Constants::DB_ATTACH." WHERE id_send =$id_send");
		$query2->execute() or die("Error executing SQL query!"); 
		$query2->finish();
		$dbh->disconnect();

		redirect($MSG_MAILLIST_REMOVED,"index.pl",2);
	}
}
else
{
	$dbh->disconnect();

	redirect($MSG_MAILLIST_REMOVED,"index.pl",2);
}
